
!set wims_module_log=error: $error

!if empty_all iswordof $error
  Aucun nombre premier n'est trouv. Soit il y a une erreur dans votre
  demande, soit le calcul est interrompu car il
  ncessite une dure trop longue.
!endif

!if empty_rand iswordof $error
  Echec de nombre premier alatoire. Erreur interne!
!endif

!if empty_lin iswordof $error
  Aucun nombre premier n'est trouv dans la progression arithmtique
  !htmlmath ($a) n + ($b)
  . Soit la progression est compose uniquement de nombres composites, soit
  le calcul ncessite une dure trop longue, soit il y a une erreur dans votre
  demande.
  <p>Notez aussi qu'uniquement les nombres premiers <b>positifs</b> sont donns
  dans les rsultats.
  </p>
!endif

!if no_method iswordof $error
  Qu'est-ce que vous voulez chercher?
!endif

!if bad_method iswordof $error
  Je ne comprends pas ce que vous voulez chercher. En train de jouer avec les
  commandes?
!endif

!if too_small iswordof $error
  Vous avez demand des recherches de nombres premiers parmi les
  entiers ngatifs. Je prfre vous donner des rsultats positifs; veuillez
  changer vos zones de recherche.
!endif

!if too_big iswordof $error
  Vous avez demand la recherche de trs grands nombres premiers. Cette
  recherche va dpasser la limite de ressource sur le serveur qui vous est
  alloue, donc elle est refuse. Dsol.
!endif

!if bad_all iswordof $error
  Le point de dpart <span class="tt">$all</span> pour la liste de nombres premiers est
  mal saisi. Veuillez corriger.
!endif

!if bad_rand iswordof $error
  Le nombre de chiffres <span class="tt">$rand</span> pour un nombre premier alatoire est
  mal saisi. Veuillez corriger.
!endif

!if empty_data iswordof $error
  Une partie de donnes pour le calcul que vous demandez est manquante.
  Veuillez complter vos entres.
!endif

!if bad_lin iswordof $error
  Il y a des donnes mal saisies pour la recherche de nombres premiers dans
  une progression arithmtique. Veuillez corriger.
!endif

!if b_is_zero iswordof $error
  Une progression arithmtique avec $m_b = 0 ne donne pas de nombre premier
  sauf dans les cas triviaux. Votre demande de recherche est donc refuse,
  veuillez corriger votre saisie.
!endif

!if a_is_zero iswordof $error
  Une progression arithmtique avec $m_a = 0 est triviale.
  Votre demande de recherche est donc refuse, veuillez corriger votre saisie.
!endif

!if bad_parm iswordof $error
 Erreur de paramtres de commande. En train de jouer avec l'outil?
!endif
